---
title: Change Log
---

# Change Log

<div class="documentation__toc"></div>

## Introduction

All notable changes to this project will be documented in this file.

- `Added` for new features.
- `Changed` for changes in existing functionality.
- `Deprecated` for soon-to-be removed features.
- `Removed` for now removed features.
- `Fixed` for any bug fixes.
- `Security` in case of vulnerabilities.

### Versioning

This project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

### Deprecated Features

Features that are deprecated will generally be removed in the next `minor` update unless noted otherwise.

## Releases

### [2.6.26] - 2021-06-29
#### Fixed
- Fixed SVG+XML MIME issue for PHP 7+

### [2.6.25] - 2020-10-15
#### Fixed
- Turkish Translations

### [2.6.24] - 2020-10-13
#### Fixed
- Fixed File Not Found error by force autoloading entry models before we interact within a migration.


### [2.6.23] - 2020-06-09
#### Added
- Added `FILES_MAX_PREVIEW_FILESIZE` environmental variable and `anomaly.module.files::files.max_preview_filesize` config key to control ceiling for generating image previews. Defaults to 7MB. This prevents timeout and memeory exhaustion errors for most situations.


### [2.6.22] - 2019-09-06
#### Added
- Added Turkish translation.


### [2.6.21] - 2019-08-20
#### Changed
- Changed the `\AnomalyModuleFilesAddStrIdToFolders` migration to not fire model events.
- Changed the `\AnomalyModuleFilesAddStrIdToFiles` migration to not fire model events.


### [2.6.20] - 2019-08-12
#### Changed
- Changed the `saving` observer to set dimensions if resource exists instead of returning `false` and blocking save when the resource does not exist.


### [2.6.19] - 2019-08-03
#### Changed
- Skipped the `str_id` field in the `\Anomaly\FilesModule\Folder\Form\FolderFormBuilder`.


### [2.6.18] - 2019-08-02
#### Changed
- Changed the disk seeder to use the private storage adapter.
- Removed seeder truncates.. those are dangerous!


### [2.6.15] - 2019-06-11
#### Fixed
- Fixed JS upload error messages. 


### [2.6.14] - 2019-06-11
#### Added
- Added protection to `\Anomaly\FilesModule\File\FileUploader` against executable uploads by default. 


### [2.6.13] - 2019-03-13
#### Added
- Added `filename` method to file interface and model. Returns name without extension from `pathinfo`.


### [2.6.12] - 2019-03-13
#### Added
- Added support for moving files.

#### Fixed
- Fixed issues around URL performance.

#### Changed
- Changed `composer.json` to include proper support links.
- Changed `composer.json` to use `"anomaly/streams-platform": "^1.6"`.
